--- title: "Get autocomplete history" slug: "analytics-cloudsearch-getautocompletehistory" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getautocompletehistory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get autocomplete history **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets change history of autocomplete in a domain. Response data is displayed only when autocomplete change history exists. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/autocomplete/history ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | Domain name | Name of the domain to get autocomplete change history for | | limit | Y | number | Min: 1 MAX: 30 | Pagination limit | | offset | Y | number | | Pagination offset | | order | Y | string | DESC, ASC | Sorting order of results | ## Response ### Response Body | Field | Required | Type | Description | Note | | --- | --- | --- | --- | --- | | [].asIsAutocomplete | N | [AutocompleteSearchSchema](/docs/en/common-apidatatype-csautocompleteschema) | Previous autocomplete status | | | [].toBeAutocomplete | N | [AutocompleteSearchSchema](/docs/en/common-apidatatype-csautocompleteschema) | Current (changed) autocomplete status | | | [].documentCount | N | number | Number of documents for which autocomplete indexing is complete | | | [].createdDate | N | string | Autocomplete status change time | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain/eeee/autocomplete/history?limit=10&offset=0&order=DESC HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` [ { "asIsAutocomplete": { "sectionName": "", "indexName": "brand_name" }, "toBeAutocomplete": { "sectionName": "name", "indexName": "brand_name" }, "documentCount": 3, "createdDate": "2019-03-05T08:39:20.738Z" }, { "asIsAutocomplete": { "sectionName": "", "indexName": "brand_name" }, "toBeAutocomplete": { "sectionName": "", "indexName": "brand_name" }, "documentCount": 3, "createdDate": "2019-03-05T08:38:38.379Z" }, { "asIsAutocomplete": null, "toBeAutocomplete": { "sectionName": "", "indexName": "brand_name" }, "documentCount": 3, "createdDate": "2019-03-05T08:37:08.046Z" } ] ```